Summary:	Symbol and Schematic Attribute Editor of the gEDA Suite
Name:		geda-gattrib
Version: 	1.4.0
Release: 	1.1
License: 	GPL
Group: 		Productivity/Scientific/Electronics
Packager:	Werner Hoch <werner.ho@gmx.de>

URL: 		http://geda.seul.org
Source0: 	http://geda.seul.org/release/v1.4/1.4.0/geda-gattrib-%{version}.tar.gz
Patch0:		geda-gattrib.desktop.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

Autoreqprov:    On
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:  intltool, perl-XML-Parser, desktop-file-utils, update-desktop-files
BuildRequires: 	libgeda-devel = %{version}
BuildRequires:	geda-symbols = %{version}
Requires:	guile
Requires:	geda-symbols = %{version}

%description 
With gattrib you can edit attributes of schematic or symbol files. It has 
a spreadsheet like GUI. gattrib is part of the gEDA suite. 

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-update-desktop-database
%{__make}

%install
%makeinstall
%suse_update_desktop_file geda-gattrib

%clean
rm -rf $RPM_BUILD_ROOT

%post
/opt/gnome/bin/gtk-update-icon-cache /usr/share/icons/hicolor/ --ignore-theme-index
/opt/gnome/bin/update-desktop-database /usr/share/applications/

%postun
/opt/gnome/bin/update-desktop-database /usr/share/applications/
/opt/gnome/bin/gtk-update-icon-cache /usr/share/icons/hicolor/ --ignore-theme-index

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/gEDA/*
%{_datadir}/locale/*
%{_datadir}/icons/*
%{_datadir}/applications/geda-gattrib.desktop


%changelog
* Thu Jan 31 2008 Peter Clifton <pcjc2@cam.ac.uk>
- Added update-desktop-database and gtk-update-icon-cache 
  commands for desktop integration
* Sun Jan 27 2008 Werner Hoch <werner.ho@gmx.de>
- new version 1.4.0
- added BuildRequires: intltool, perl-XML-Parser, desktop-file-utils, 
  update-desktop-files
* Tue Jan 01 2008 Werner Hoch <werner.ho@gmx.de>
- new version 1.2.1
* Fri Sep 07 2007 Werner Hoch <werner.ho@gmx.de>
- new version 1.2.0
* Sat Jul 07 2007 Werner Hoch <werner.ho@gmx.de>
- new version 1.0.1
* Sat May 26 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070526
* Thu Feb 20 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070216
* Sat Oct 21 2006 Werner Hoch <werner.ho@gmx.de>
- new version 20061020
* Sat Sep 09 2006 Werner Hoch <werner.ho@gmx.de>
- new version 20060906
* Wed Aug 30 2006 Werner Hoch <werner.ho@gmx.de>
- added libpng-devel as gtk2 of suse93 doesn't provide it
* Tue Aug 29 2006 Werner Hoch <werner.ho@gmx.de>
- first spec file
